Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7144 - AOLserver 2.x and 3.x can't bind socket
Summary: AOLserver 2.x and 3.x can't bind socket
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 16:08 UTC by kmarko
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-22 17:34:03 UTC


Attachments (Terms of Use)

Description kmarko 1999-11-19 16:08:01 UTC
AOLserver 2.3.3 and 3.0b3 cannot bind a network socket under RH6.1. Version
3 (being still in beta) gives no error message and appears to start, but
netstat -pat shows no socket open for the port assigned in the AOLserver
configuration file (doesn't matter which port, priveleged or not).
AOLserver 2.3.3 shows similar behavior, but provides the following error
message:

[18/Nov/1999:15:32:34 -0700][17818][-Sockets-] Fatal: Sock: Could not
receive bind response: Interrupted system call

Both versions of AOLserver run fine on RH6.0, but break on 6.1:
(Linux shasta.boi.hp.com 2.2.12-20smp #1 SMP Mon Sep 27 10:34:45 EDT 1999
i686 unknown).

I'm not sure if this is a kernel or library problem, but it is repeatable;
there is a thread discussing this on:
http://photo.net/bboard/q-and-a-fetch-msg.tcl?msg_id=000eII

It may be kernel-related since one of the posters indicates a similar
problem on a Debian box running 2.2.13.

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Alan Cox 2000-08-22 17:34:01 UTC
If this still occurs include an strace and I'll have a guess whats up


Comment 3 Alan Cox 2000-09-15 18:08:27 UTC
No response



Note You need to log in before you can comment on or make changes to this bug.